export interface MessageOptions {
    content: string
    type?: 'info' | 'success' | 'warning' | 'error'
    duration?: number
}

export interface MessageInstance extends MessageOptions {
    // 消息ID
    messageId: number,
    // 定时器
    timer: NodeJS.Timeout | null,
    // 暂停消息延时销毁
    pause: () => void,
    // 恢复消息延时销毁
    resume: () => void,
    // 销毁消息
    destroy: () => void,
}
